function writeSerial(obj, adcName, N, adcChnl)

fwrite(obj,0,'uint8');
fwrite(obj,hex2dec('ff'),'uint8');

fwrite(obj,0,'uint8');
fwrite(obj,0,'uint8');

switch lower(adcName)
    case {'ads62p4x','ads62p2x','ads62c1x'}
        fwrite(obj,2,'uint8');
        if(strcmp(lower(adcChnl),'a'))
            fwrite(obj,4,'uint8');
        else
            fwrite(obj,8,'uint8');
        end
        
        fwrite(obj,hex2dec('12'),'uint8');
        fwrite(obj,1,'uint8');
        
        fwrite(obj,4,'uint8');
        switch N
            case 2048
                fwrite(obj,hex2dec('11'),'uint8');
            case 4096
                fwrite(obj,hex2dec('12'),'uint8');
            case 8192
                fwrite(obj,hex2dec('14'),'uint8');
            case 16384
                fwrite(obj,hex2dec('18'),'uint8');
            case 32768
                fwrite(obj,hex2dec('38'),'uint8');
            otherwise
                fwrite(obj,hex2dec('f8'),'uint8');
        end

    case 'ads548x'
        fwrite(obj,2,'uint8');
        fwrite(obj,4,'uint8');
        
        fwrite(obj,hex2dec('12'),'uint8');
        fwrite(obj,0,'uint8');
        
        fwrite(obj,4,'uint8');
        switch N
            case 2048
                fwrite(obj,hex2dec('11'),'uint8');
            case 4096
                fwrite(obj,hex2dec('12'),'uint8');
            case 8192
                fwrite(obj,hex2dec('14'),'uint8');
            case 16384
                fwrite(obj,hex2dec('18'),'uint8');
            case 32768
                fwrite(obj,hex2dec('38'),'uint8');
            otherwise
                fwrite(obj,hex2dec('f8'),'uint8');
        end

    case {'ads6149','ads6129'}
        fwrite(obj,hex2dec('d'),'uint8');
        fwrite(obj,hex2dec('ff'),'uint8');
        fwrite(obj,hex2dec('e'),'uint8');
        fwrite(obj,hex2dec('ff'),'uint8');
        fwrite(obj,hex2dec('f'),'uint8');
        fwrite(obj,1,'uint8');
        fwrite(obj,5,'uint8');
        fwrite(obj,bin2dec('10000000'),'uint8');

        fwrite(obj,2,'uint8');
        fwrite(obj,4,'uint8');
        
        fwrite(obj,hex2dec('12'),'uint8');
        fwrite(obj,0,'uint8');
        
        fwrite(obj,4,'uint8');
        switch N
            case 2048
                fwrite(obj,hex2dec('11'),'uint8');
            case 4096
                fwrite(obj,hex2dec('12'),'uint8');
            case 8192
                fwrite(obj,hex2dec('14'),'uint8');
            case 16384
                fwrite(obj,hex2dec('18'),'uint8');
            case 32768
                fwrite(obj,hex2dec('38'),'uint8');
            otherwise
                fwrite(obj,hex2dec('f8'),'uint8');
        end

        fwrite(obj,hex2dec('d'),'uint8');
        fwrite(obj,0,'uint8');
        fwrite(obj,hex2dec('e'),'uint8');
        fwrite(obj,0,'uint8');
        fwrite(obj,hex2dec('f'),'uint8');
        fwrite(obj,1,'uint8');
        fwrite(obj,5,'uint8');
        fwrite(obj,bin2dec('01010100'),'uint8');

    otherwise
        disp('ADC not supported ..');
        return;
end

fwrite(obj,1,'uint8');
fwrite(obj,3,'uint8');
